package com.java2s.common;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import org.springframework.transaction.annotation.Transactional;

@Transactional
public class PersonDaoImpl {
  public void test(){
    Department d1 = new Department();
    d1.setName("Design");

    Department d2 = new Department();
    d2.setName("Testing");
    
    Person p1 = new Person("Tom");
    p1.getDepartments().add(d1);
    p1.getDepartments().add(d2);
    
    Person p2 = new Person("Jack");
    p2.getDepartments().add(d1);
    p2.getDepartments().add(d2);
    
    d1.getPersons().add(p1);
    d1.getPersons().add(p2);
    
    
    em.persist(p1);
    em.persist(p2);
    em.persist(d1);
    em.persist(d2);
  }
	@PersistenceContext
	private EntityManager em;
}
